# required-runtime-ssr-react

## Getting Started

`npm`:

```
npm install --save required-runtime-ssr-react
```

`yarn`:

```
yarn add required-runtime-ssr-react
```

## Use with NextJS & Typescript

pages/_document.ts

```
import React from "react";
import Document_, { Head, Main, NextScript } from "next/document";
import RequiredRuntimeScript from "required-runtime-ssr-react";

export enum RequiredKeys {
  KEY1,
  KEY2,
  KEY3
}

export default class Document extends Document_ {
  static async getInitialProps(ctx: any) {
    const props = await (Document_ as any)["getInitialProps"](ctx);
    return props;
  }

  render() {
    return (
      <html>
        <Head>
          <RequiredRuntimeScript requiredEnv={RequiredKeys} />
        </Head>
        <body>
          <Main />
          <NextScript />
        </body>
      </html>
    );
  }
}
```

Now this will be available on the server or the client

pages/index.ts

```
import { RequiredKeys } from "./document"

const environment = requiredRuntimeEnv(RequiredKeys);
```
